cdac.medinfo.sdk.hl7282.baselibs.segments

## Class ABS

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.ABS

- All Implemented Interfaces:
    ISegment

      public class ABS
      extends Segment

  ABS - Abstract Segment

  This segment defines to communicate patient abstract information used for billing and reimbursement purposes. "Abstract" is a condensed form of medical history created for analysis, care planning, etc.

  Represents an HL7 ABS message segment. This segment has the following fields:

  ABS-1: Discharge Care Provider (XCN)Optional
  ABS-2: Transfer Medical Service Code (CWE)Optional
  ABS-3: Severity of Illness Code (CWE)Optional
  ABS-4: Date/Time of Attestation (DTM)Optional
  ABS-5: Attested By (XCN)Optional
  ABS-6: Triage Code (CWE)Optional
  ABS-7: Abstract Completion Date/Time (DTM)Optional
  ABS-8: Abstracted By (XCN)Optional
  ABS-9: Case Category Code (CWE)Optional
  ABS-10: Caesarian Section Indicator (ID)Optional
  ABS-11: Gestation Category Code (CWE)Optional
  ABS-12: Gestation Period - Weeks (NM)Optional
  ABS-13: Newborn Code (CWE)Optional
  ABS-14: Stillborn Indicator (ID)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ABS()` Constructs the ABS segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DTM` | `getAbstractCompletionDateOrTime()` Retrieves the Abstract Completion Date Or Time.
    `XCN` | `getAbstractedBy()` Retrieves the Abstracted By.
    `XCN` | `getAttestedBy()` Retrieves the Attested By.
    `ID` | `getCaesarianSectionIndicator()` Retrieves the Caesarian Section Indicator.
    `CWE` | `getCaseCategoryCode()` Retrieves the Case Category Code.
    `DTM` | `getDateOrTimeOfAttestation()` Retrieves the Date Or Time Of Attestation.
    `XCN` | `getDischargeCareProvider()` Retrieves the Discharge Care Provider.
    `CWE` | `getGestationCategoryCode()` Retrieves the Gestation Category Code.
    `NM` | `getGestationPeriodInWeeks()` Retrieves the Gestation Period In Weeks.
    `CWE` | `getNewBornCode()` Retrieves the Newborn Code.
    `CWE` | `getSeverityOfIllnessCode()` Retrieves the Severity Of Illness Code.
    `ID` | `getStillBornIndicator()` Retrieves the Still born Indicator.
    `CWE` | `getTransferMedicalServiceCode()` Retrieves the Transfer Medical Service Code.
    `CWE` | `getTriageCode()` Retrieves the Triage Code.
    `void` | `setAbstractCompletionDateOrTime(DTM objabstractCompletionDateOrTime)` Set the Abstract Completion Date Or Time.
    `void` | `setAbstractCompletionDateOrTime(java.lang.String strAbstractCompletionDateOrTime)` Set the Abstract Completion Date Or Time.
    `void` | `setAbstractedBy(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Abstracted By.
    `void` | `setAbstractedBy(XCN objabstractedBy)` Set the Abstracted By.
    `void` | `setAttestedBy(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Attested By.
    `void` | `setAttestedBy(XCN objattestedBy)` Set the Attested By.
    `void` | `setCaesarianSectionIndicator(ID objcaesarianSectionIndicator)` Set the Caesarian Section Indicator.
    `void` | `setCaesarianSectionIndicator(java.lang.String strCaesarianSectionIndicator)` Set the Caesarian Section Indicator.
    `void` | `setCaseCategoryCode(CWE objcaseCategoryCode)` Set the Case Category Code.
    `void` | `setCaseCategoryCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Case Category Code.
    `void` | `setDateOrTimeOfAttestation(DTM objdateOrTimeOfAttestation)` Set the Date Or Time Of Attestation.
    `void` | `setDateOrTimeOfAttestation(java.lang.String strDateOrTimeOfAttestation)` Set the Date Or Time Of Attestation.
    `void` | `setDischargeCareProvider(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Discharge Care Provider.
    `void` | `setDischargeCareProvider(XCN objdischargeCareProvider)` Set the Discharge Care Provider.
    `void` | `setGestationCategoryCode(CWE objgestationCategoryCode)` Set the Gestation Category Code.
    `void` | `setGestationCategoryCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Gestation Category Code.
    `void` | `setGestationPeriodInWeeks(NM objgestationPeriodInWeeks)` Set the Gestation Period In Weeks.
    `void` | `setGestationPeriodInWeeks(java.lang.String strGestationPeriodInWeeks)` Set the Gestation Period In Weeks.
    `void` | `setNewbornCode(CWE objnewBornCode)` Set the Newborn Code.
    `void` | `setNewbornCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Newborn Code.
    `void` | `setSeverityOfIllnessCode(CWE objseverityOfIllnessCode)` Set the Severity Of Illness Code.
    `void` | `setSeverityOfIllnessCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Severity Of Illness Code.
    `void` | `setStillbornIndicator(ID objstillBornIndicator)` Set the Still born Indicator.
    `void` | `setStillbornIndicator(java.lang.String strStillbornIndicator)` Set the Still born Indicator.
    `void` | `setTransferMedicalServiceCode(CWE objtransferMedicalServiceCode)` Set the Transfer Medical Service Code.
    `void` | `setTransferMedicalServiceCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Transfer Medical Service Code.
    `void` | `setTriageCode(CWE objtriageCode)` Set the Triage Code.
    `void` | `setTriageCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Triage Code.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ABS

          public ABS()

      Constructs the ABS segment.

  - ### Method Detail

    - #### getAbstractCompletionDateOrTime

          public DTM getAbstractCompletionDateOrTime()

      Retrieves the Abstract Completion Date Or Time. This field specify the field Date/time for which the abstraction completed.
      Returns:
        DTM - abstractCompletionDateOrTime

    - #### getAbstractedBy

          public XCN getAbstractedBy()

      Retrieves the Abstracted By.
      Returns:
        XCN - abstractedBy

    - #### getAttestedBy

          public XCN getAttestedBy()

      Retrieves the Attested By. This field specify the Identification number of the person (usually a provider) who reviewed and accepted the abstract of the medical record.
      Returns:
        XCN - attestedBy

    - #### getCaesarianSectionIndicator

          public ID getCaesarianSectionIndicator()

      Retrieves the Caesarian Section Indicator.
      Returns:
        ID - caesarianSectionIndicator

    - #### getCaseCategoryCode

          public CWE getCaseCategoryCode()

      Retrieves the Case Category Code. This field specify the Code which indicate the reason, a non-urgent patient presents to the Emergency Room for treatment instead of a clinic or physician office.
      Returns:
        CWE - caseCategoryCode

    - #### getDateOrTimeOfAttestation

          public DTM getDateOrTimeOfAttestation()

      Retrieves the Date Or Time Of Attestation. This field specify the Date/time that the medical record is reviewed and accepted.
      Returns:
        DTM - dateOrTimeOfAttestation

    - #### getDischargeCareProvider

          public XCN getDischargeCareProvider()

      Retrieves the Discharge Care Provider. This field specify the Identification number of the provider responsible for the discharge of the patient from his/her care.
      Returns:
        XCN - dischargeCareProvider

    - #### getGestationCategoryCode

          public CWE getGestationCategoryCode()

      Retrieves the Gestation Category Code. This field specify the gestation category code which is used to indicate the status of the birth in relation to the gestation.
      Returns:
        CWE - gestationCategoryCode

    - #### getGestationPeriodInWeeks

          public NM getGestationPeriodInWeeks()

      Retrieves the Gestation Period In Weeks.
      Returns:
        NM - gestationPeriodInWeeks

    - #### getNewBornCode

          public CWE getNewBornCode()

      Retrieves the Newborn Code. This field specify the newborn code which is used to indicate whether the baby is born in or out of the facility.
      Returns:
        CWE - newBornCode

    - #### getSeverityOfIllnessCode

          public CWE getSeverityOfIllnessCode()

      Retrieves the Severity Of Illness Code. This field specify the Code representing the ranking of a patient's illness.
      Returns:
        CWE - severityOfIllnessCode

    - #### getStillBornIndicator

          public ID getStillBornIndicator()

      Retrieves the Still born Indicator. This field specify the indicator whether a newborn is stillborn or not.
      Returns:
        ID - stillBornIndicator

    - #### getTransferMedicalServiceCode

          public CWE getTransferMedicalServiceCode()

      Retrieves the Transfer Medical Service Code. This field specify the Medical code which representing the patient's medical services when they are transferred.
      Returns:
        CWE - transferMedicalServiceCode

    - #### getTriageCode

          public CWE getTriageCode()

      Retrieves the Triage Code. This field specify the Code which representing a patient's prioritization within the context of this abstract.
      Returns:
        CWE - triageCode

    - #### setAbstractCompletionDateOrTime

          public void setAbstractCompletionDateOrTime(java.lang.String strAbstractCompletionDateOrTime)

      Set the Abstract Completion Date Or Time. This field specify the field Date/time for which the abstraction completed.
      Parameters:
        `strAbstractCompletionDateOrTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setAbstractCompletionDateOrTime

          public void setAbstractCompletionDateOrTime(DTM objabstractCompletionDateOrTime)

      Set the Abstract Completion Date Or Time. This fiel specify the field Date/time for which the abstraction completed.
      Parameters:
        `objabstractCompletionDateOrTime` -

    - #### setAbstractedBy

          public void setAbstractedBy(java.lang.String strIDNumber,
                             FN objFamilyName,
                             java.lang.String strGivenName,
                             java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                             java.lang.String strSuffix,
                             java.lang.String strPrefix,
                             CWE objSourceTable,
                             HD objAssigningAuthority,
                             java.lang.String strNameTypeCode,
                             java.lang.String strIdentifierCheckDigit,
                             java.lang.String strCheckDigitScheme,
                             java.lang.String strIdentifierTypeCode,
                             HD objAssigningFacility,
                             java.lang.String strNameRepresentationCode,
                             CWE objNameContext,
                             java.lang.String strNameAssemblyOrder,
                             java.lang.String strEffectiveDate,
                             java.lang.String strExpirationDate,
                             java.lang.String strProfessionalSuffix,
                             CWE objAssigningJurisdiction,
                             CWE objAssigningAgencyOrDepratment,
                             java.lang.String strSecurityCheck,
                             java.lang.String strSecurityCheckScheme)

      Set the Abstracted By.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### setAbstractedBy

          public void setAbstractedBy(XCN objabstractedBy)

      Set the Abstracted By.
      Parameters:
        `objabstractedBy` -

    - #### setAttestedBy

          public void setAttestedBy(java.lang.String strIDNumber,
                           FN objFamilyName,
                           java.lang.String strGivenName,
                           java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                           java.lang.String strSuffix,
                           java.lang.String strPrefix,
                           CWE objSourceTable,
                           HD objAssigningAuthority,
                           java.lang.String strNameTypeCode,
                           java.lang.String strIdentifierCheckDigit,
                           java.lang.String strCheckDigitScheme,
                           java.lang.String strIdentifierTypeCode,
                           HD objAssigningFacility,
                           java.lang.String strNameRepresentationCode,
                           CWE objNameContext,
                           java.lang.String strNameAssemblyOrder,
                           java.lang.String strEffectiveDate,
                           java.lang.String strExpirationDate,
                           java.lang.String strProfessionalSuffix,
                           CWE objAssigningJurisdiction,
                           CWE objAssigningAgencyOrDepratment,
                           java.lang.String strSecurityCheck,
                           java.lang.String strSecurityCheckScheme)

      Set the Attested By. This field specify the Identification number of the person (usually a provider) who reviewed and accepted the abstract of the medical record.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### setAttestedBy

          public void setAttestedBy(XCN objattestedBy)

      Set the Attested By. This field specify the Identification number of the person (usually a provider) who reviewed and accepted the abstract of the medical record.
      Parameters:
        `objattestedBy` -

    - #### setCaesarianSectionIndicator

          public void setCaesarianSectionIndicator(java.lang.String strCaesarianSectionIndicator)

      Set the Caesarian Section Indicator.
      Parameters:
        `strCaesarianSectionIndicator` - Y Delivery was by Caesarian Section,N Delivery was not by Caesarian Section.

    - #### setCaesarianSectionIndicator

          public void setCaesarianSectionIndicator(ID objcaesarianSectionIndicator)

      Set the Caesarian Section Indicator.
      Parameters:
        `objcaesarianSectionIndicator` - Y Delivery was by Caesarian Section,N Delivery was not by Caesarian Section.

    - #### setCaseCategoryCode

          public void setCaseCategoryCode(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Case Category Code. This field specify the Code which indicate the reason, a non-urgent patient presents to the Emergency Room for treatment instead of a clinic or physician office.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setCaseCategoryCode

          public void setCaseCategoryCode(CWE objcaseCategoryCode)

      Set the Case Category Code. This field specify the Code which indicate the reason, a non-urgent patient presents to the Emergency Room for treatment instead of a clinic or physician office.
      Parameters:
        `objcaseCategoryCode` -

    - #### setDateOrTimeOfAttestation

          public void setDateOrTimeOfAttestation(java.lang.String strDateOrTimeOfAttestation)

      Set the Date Or Time Of Attestation. This field specify the Date/time that the medical record is reviewed and accepted.
      Parameters:
        `strDateOrTimeOfAttestation` - String values for Date/time that the medical record was reviewed and accepted.

    - #### setDateOrTimeOfAttestation

          public void setDateOrTimeOfAttestation(DTM objdateOrTimeOfAttestation)

      Set the Date Or Time Of Attestation. This field specify the Date/time that the medical record is reviewed and accepted.
      Parameters:
        `objdateOrTimeOfAttestation` -

    - #### setDischargeCareProvider

          public void setDischargeCareProvider(java.lang.String strIDNumber,
                                      FN objFamilyName,
                                      java.lang.String strGivenName,
                                      java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                      java.lang.String strSuffix,
                                      java.lang.String strPrefix,
                                      CWE objSourceTable,
                                      HD objAssigningAuthority,
                                      java.lang.String strNameTypeCode,
                                      java.lang.String strIdentifierCheckDigit,
                                      java.lang.String strCheckDigitScheme,
                                      java.lang.String strIdentifierTypeCode,
                                      HD objAssigningFacility,
                                      java.lang.String strNameRepresentationCode,
                                      CWE objNameContext,
                                      java.lang.String strNameAssemblyOrder,
                                      java.lang.String strEffectiveDate,
                                      java.lang.String strExpirationDate,
                                      java.lang.String strProfessionalSuffix,
                                      CWE objAssigningJurisdiction,
                                      CWE objAssigningAgencyOrDepratment,
                                      java.lang.String strSecurityCheck,
                                      java.lang.String strSecurityCheckScheme)

      Set the Discharge Care Provider. This field specify the Identification number of the provider responsible for the discharge of the patient from his/her care.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### setDischargeCareProvider

          public void setDischargeCareProvider(XCN objdischargeCareProvider)

      Set the Discharge Care Provider. This field specify the Identification number of the provider responsible for the discharge of the patient from his/her care.
      Parameters:
        `objdischargeCareProvider` -

    - #### setGestationCategoryCode

          public void setGestationCategoryCode(java.lang.String strIdentifier,
                                      java.lang.String strText,
                                      java.lang.String strNameOfCodingSystem,
                                      java.lang.String strAlternateIdentifier,
                                      java.lang.String strAlternateText,
                                      java.lang.String strNameOfAlternateCodingSystem,
                                      java.lang.String strCodingSystemVersionID,
                                      java.lang.String strAlternateCodingSystemVersionId,
                                      java.lang.String strOriginalText,
                                      java.lang.String strSecondAlternateIdentifier,
                                      java.lang.String strSecondAlternateText,
                                      java.lang.String strNameofSecondAlternateCodingSystem,
                                      java.lang.String strSecondAlternateCodingSystemVersionID,
                                      java.lang.String strCodingSystemOID,
                                      java.lang.String strValueSetOID,
                                      java.lang.String strValueSetVersionID,
                                      java.lang.String strAlternateCodingSystemOID,
                                      java.lang.String strAlternateValueSetOID,
                                      java.lang.String strAlternateValueSetVersionID,
                                      java.lang.String strSecondAlternateCodingSystemOID,
                                      java.lang.String strSecondAlternateValueSetOID,
                                      java.lang.String strSecondAlternateValueSetVersionID)

      Set the Gestation Category Code. This field specify the gestation category code which is used to indicate the status of the birth in relation to the gestation. * @param strIdentifier Specifies of characters (the code) that uniquely identifies the item being referenced.
      Parameters:
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setGestationCategoryCode

          public void setGestationCategoryCode(CWE objgestationCategoryCode)

      Set the Gestation Category Code. This field specify the gestation category code which is used to indicate the status of the birth in relation to the gestation.
      Parameters:
        `objgestationCategoryCode` -

    - #### setGestationPeriodInWeeks

          public void setGestationPeriodInWeeks(java.lang.String strGestationPeriodInWeeks)

      Set the Gestation Period In Weeks.
      Parameters:
        `strGestationPeriodInWeeks` - Newborn's gestation period expressed as a number of weeks.

    - #### setGestationPeriodInWeeks

          public void setGestationPeriodInWeeks(NM objgestationPeriodInWeeks)

      Set the Gestation Period In Weeks.
      Parameters:
        `objgestationPeriodInWeeks` - Newborn's gestation period expressed as a number of weeks.

    - #### setNewbornCode

          public void setNewbornCode(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionId,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameofSecondAlternateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Newborn Code. This field specify the newborn code which is used to indicate whether the baby is born in or out of the facility.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setNewbornCode

          public void setNewbornCode(CWE objnewBornCode)

      Set the Newborn Code. This field specify the newborn code which is used to indicate whether the baby is born in or out of the facility.
      Parameters:
        `objnewBornCode` -

    - #### setSeverityOfIllnessCode

          public void setSeverityOfIllnessCode(java.lang.String strIdentifier,
                                      java.lang.String strText,
                                      java.lang.String strNameOfCodingSystem,
                                      java.lang.String strAlternateIdentifier,
                                      java.lang.String strAlternateText,
                                      java.lang.String strNameOfAlternateCodingSystem,
                                      java.lang.String strCodingSystemVersionID,
                                      java.lang.String strAlternateCodingSystemVersionId,
                                      java.lang.String strOriginalText,
                                      java.lang.String strSecondAlternateIdentifier,
                                      java.lang.String strSecondAlternateText,
                                      java.lang.String strNameofSecondAlternateCodingSystem,
                                      java.lang.String strSecondAlternateCodingSystemVersionID,
                                      java.lang.String strCodingSystemOID,
                                      java.lang.String strValueSetOID,
                                      java.lang.String strValueSetVersionID,
                                      java.lang.String strAlternateCodingSystemOID,
                                      java.lang.String strAlternateValueSetOID,
                                      java.lang.String strAlternateValueSetVersionID,
                                      java.lang.String strSecondAlternateCodingSystemOID,
                                      java.lang.String strSecondAlternateValueSetOID,
                                      java.lang.String strSecondAlternateValueSetVersionID)

      Set the Severity Of Illness Code. This field specify the Code representing the ranking of a patient's illness.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setSeverityOfIllnessCode

          public void setSeverityOfIllnessCode(CWE objseverityOfIllnessCode)

      Set the Severity Of Illness Code. This field specify the Code representing the ranking of a patient's illness.
      Parameters:
        `objseverityOfIllnessCode` -

    - #### setStillbornIndicator

          public void setStillbornIndicator(java.lang.String strStillbornIndicator)

      Set the Still born Indicator. This field specify the indicator whether a newborn is stillborn or not.
      Parameters:
        `strStillbornIndicator` - Y Stillborn, N Not stillborn.

    - #### setStillbornIndicator

          public void setStillbornIndicator(ID objstillBornIndicator)

      Set the Still born Indicator. This field specify the indicator whether a newborn is stillborn or not.
      Parameters:
        `objstillBornIndicator` - Y Stillborn, N Not stillborn.

    - #### setTransferMedicalServiceCode

          public void setTransferMedicalServiceCode(java.lang.String strIdentifier,
                                           java.lang.String strText,
                                           java.lang.String strNameOfCodingSystem,
                                           java.lang.String strAlternateIdentifier,
                                           java.lang.String strAlternateText,
                                           java.lang.String strNameOfAlternateCodingSystem,
                                           java.lang.String strCodingSystemVersionID,
                                           java.lang.String strAlternateCodingSystemVersionId,
                                           java.lang.String strOriginalText,
                                           java.lang.String strSecondAlternateIdentifier,
                                           java.lang.String strSecondAlternateText,
                                           java.lang.String strNameofSecondAlternateCodingSystem,
                                           java.lang.String strSecondAlternateCodingSystemVersionID,
                                           java.lang.String strCodingSystemOID,
                                           java.lang.String strValueSetOID,
                                           java.lang.String strValueSetVersionID,
                                           java.lang.String strAlternateCodingSystemOID,
                                           java.lang.String strAlternateValueSetOID,
                                           java.lang.String strAlternateValueSetVersionID,
                                           java.lang.String strSecondAlternateCodingSystemOID,
                                           java.lang.String strSecondAlternateValueSetOID,
                                           java.lang.String strSecondAlternateValueSetVersionID)

      Set the Transfer Medical Service Code. This field specify the Medical code which representing the patient's medical services when they are transferred.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setTransferMedicalServiceCode

          public void setTransferMedicalServiceCode(CWE objtransferMedicalServiceCode)

      Set the Transfer Medical Service Code. This field specify the Medical code which representing the patient's medical services when they are transferred.
      Parameters:
        `objtransferMedicalServiceCode` -

    - #### setTriageCode

          public void setTriageCode(java.lang.String strIdentifier,
                           java.lang.String strText,
                           java.lang.String strNameOfCodingSystem,
                           java.lang.String strAlternateIdentifier,
                           java.lang.String strAlternateText,
                           java.lang.String strNameOfAlternateCodingSystem,
                           java.lang.String strCodingSystemVersionID,
                           java.lang.String strAlternateCodingSystemVersionId,
                           java.lang.String strOriginalText,
                           java.lang.String strSecondAlternateIdentifier,
                           java.lang.String strSecondAlternateText,
                           java.lang.String strNameofSecondAlternateCodingSystem,
                           java.lang.String strSecondAlternateCodingSystemVersionID,
                           java.lang.String strCodingSystemOID,
                           java.lang.String strValueSetOID,
                           java.lang.String strValueSetVersionID,
                           java.lang.String strAlternateCodingSystemOID,
                           java.lang.String strAlternateValueSetOID,
                           java.lang.String strAlternateValueSetVersionID,
                           java.lang.String strSecondAlternateCodingSystemOID,
                           java.lang.String strSecondAlternateValueSetOID,
                           java.lang.String strSecondAlternateValueSetVersionID)

      Set the Triage Code. This field specify the Code which representing a patient's prioritization within the context of this abstract.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setTriageCode

          public void setTriageCode(CWE objtriageCode)

      Set the Triage Code. This field specify the Code which representing a patient's prioritization within the context of this abstract.
      Parameters:
        `objtriageCode` -

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation chcecks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.